SDL_HINT_TOUCH_MOUSE_EVENTS(3)

NAME
SDL_HINT_TOUCH_MOUSE_EVENTS - A variable controlling whether touch events should generate synthetic mouse events.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_TOUCH_MOUSE_EVENTS    SDL_TOUCH_MOUSE_EVENTS"

DESCRIPTION
The variable can be set to the following values: • "0": Touch events will not generate mouse events. • "1": Touch events will generate mouse events. (default) This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.0.0.